import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  name: SortOrderSchema.optional(),
  labName: SortOrderSchema.optional(),
  labPhone: SortOrderSchema.optional(),
  labFax: SortOrderSchema.optional(),
  labAddress: SortOrderSchema.optional(),
  labAccount: SortOrderSchema.optional(),
  caseType: SortOrderSchema.optional(),
  material: SortOrderSchema.optional(),
  instructions: SortOrderSchema.optional(),
  sortOrder: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional(),
  updatedAt: SortOrderSchema.optional()
}).strict();
export const LabRxTemplateCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.LabRxTemplateCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.LabRxTemplateCountOrderByAggregateInput>;
export const LabRxTemplateCountOrderByAggregateInputObjectZodSchema = makeSchema();
